/* myPPobTypes.r - the PPob types defined in this program
	Version 1.4 Jan 2002
	1.1 rev'ed: fix incompatibilities introduced in Pro 2
	1.2 bug fixes in CViewColumn.cp when adding panes into scrolled views.
	1.3 rev'ed: fix incompatibilities introduced in Pro 5.3
	1.4 rev'ed: fix incompatibilities introduced in Pro 7.1
	Copyright 1997-2002 by David Phillip Oster <mail-to:oster@ieee.org>

	The semi-legal stuff:
 
	You may use this any way you see fit, but:
		by your use of this you this you agree to hold David Oster harmless of any liability
			that may result from your use of this.
	You may not remove David Oster's name and contact info from the source code, although you
		may add your own.
	You agree to e-mail David Oster about bugs and problems with this source code.
 */
			case ColumnView:
				key literal longint = 'sVsW';
				PP_ViewData;

			case ColumnViewTest:
				key literal longint = 'sVsT';
				PP_ViewData;

			case AutoScrollEditField:
				key literal longint = 'Edit';
				PP_EditFieldData;

			case ViewDivider:
				key literal longint = 'Dviw';
				PP_ViewData;
				integer;	// res id of first subpane
				integer;	// min size of first pane (0 for no min size)
				byte noVanish, hasVanish;	// if first pane has a min size, is 0 ok?
				integer;	// res id of second subpane
				integer;	// min size of second pane (0 for no min size)
				byte noVanish, hasVanish;	// if second pane has a min size, is 0 ok?

			case SuperViewDivider:	// min sizes don't make much sense here, so turn that feature off.
				key literal longint = 'Sviw';
				PP_ViewData;
				integer;	// res id of first subpane
				integer = 0;	// min size of first pane (0 for no min size)
				byte  = 0;	// if first pane has a min size, is 0 ok?
				integer;	// res id of second subpane
				integer = 0;	// min size of second pane (0 for no min size)
				byte = 0;	// if second pane has a min size, is 0 ok?
